Bug 1415201 - Review Request: perl-App-Rad - Rapid creation of command line applications
Summary: Review Request: perl-App-Rad - Rapid creation of command line applications
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-20 14:35 UTC by Petr Pisar
Modified: 2017-02-07 00:53 UTC (History)
2 users (show)

Fixed In Version: perl-App-Rad-1.05-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-07 00:23:31 UTC
Type: ---
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Petr Pisar 2017-01-20 14:35:36 UTC
Spec URL: https://ppisar.fedorapeople.org/perl-App-Rad/perl-App-Rad.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-App-Rad/perl-App-Rad-1.05-1.fc26.src.rpm
Description:
App::Rad aims to be a simple yet powerful framework for developing your
command-line applications. It can easily transform your Perl one-liners
into reusable subroutines than can be called directly by the user of
your program. It also tries to provide a handy interface for your common
command-line tasks.

Fedora Account System Username: ppisar

Comment 1 Jitka Plesnikova 2017-01-23 08:34:34 UTC
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-App-Rad-1.05-1.fc26.noarch.rpm | sort | uniq -c
      1 perl
      1 perl(:MODULE_COMPAT_5.24.1)
      1 perl(:VERSION) >= 5.6.0
      1 perl(App::Rad::Help)
      1 perl(Attribute::Handlers)
      1 perl(B::Deparse)
      1 perl(Carp)
      1 perl(Getopt::Long) >= 2.36
      1 perl(O)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-App-Rad-1.05-1.fc26.noarch.rpm | sort | uniq -c
      1 perl(App::Rad) = 1.05
      1 perl(App::Rad::Config)
      1 perl(App::Rad::Exclude) = 0.01
      1 perl(App::Rad::Help) = 0.03
      1 perl(App::Rad::Include) = 0.01
      1 perl-App-Rad = 1.05-1.fc26
Binary provides are Ok.

$ rpmlint ./perl-App-Rad*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Rpmlint is ok

The package looks good.
Approved

Comment 2 Gwyn Ciesla 2017-01-23 16:00:14 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-App-Rad

Comment 3 Petr Pisar 2017-01-24 08:13:20 UTC
Thank you for the review and the repository.

Comment 4 Fedora Update System 2017-01-24 08:15:09 UTC
perl-App-Rad-1.05-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d8ea6904c8

Comment 5 Fedora Update System 2017-01-24 08:15:20 UTC
perl-App-Rad-1.05-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bd874376db

Comment 6 Fedora Update System 2017-01-25 01:22:57 UTC
perl-App-Rad-1.05-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bd874376db

Comment 7 Fedora Update System 2017-01-28 19:19:47 UTC
perl-App-Rad-1.05-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d8ea6904c8

Comment 8 Fedora Update System 2017-02-07 00:23:31 UTC
perl-App-Rad-1.05-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-02-07 00:53:13 UTC
perl-App-Rad-1.05-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.